Package ch.qos.logback.core.util

# Class TimeUtil

java.lang.Object
ch.qos.logback.core.util.TimeUtil

public class TimeUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`TimeUtil()`

## Method Summary

Modifier and Type
Method
Description
`static long`
`computeStartOfNextDay(long now)`
`static long`
`computeStartOfNextHour(long now)`
`static long`
`computeStartOfNextMinute(long now)`
`static long`
`computeStartOfNextMonth(long now)`
`static long`
`computeStartOfNextSecond(long now)`
`static long`
`computeStartOfNextWeek(long now)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TimeUtil

public TimeUtil()

## Method Details

### computeStartOfNextSecond

public static long computeStartOfNextSecond(long now)

### computeStartOfNextMinute

public static long computeStartOfNextMinute(long now)

### computeStartOfNextHour

public static long computeStartOfNextHour(long now)

### computeStartOfNextDay

public static long computeStartOfNextDay(long now)

### computeStartOfNextWeek

public static long computeStartOfNextWeek(long now)

### computeStartOfNextMonth

public static long computeStartOfNextMonth(long now)